% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ppc.R
\name{PlotPPC}
\alias{PlotPPC}
\alias{plot.PPC}
\title{Plot an object \code{PPC}}
\usage{
\method{plot}{PPC}(
  x,
  xlab = "Observation",
  ylab = "Prediction",
  main = NULL,
  dodge.width = 0,
  ...
)
}
\arguments{
\item{x}{an object of class \code{PPC}}

\item{xlab}{label of the x-axis}

\item{ylab}{label of the y-axis}

\item{main}{tital of the graphic}

\item{dodge.width}{dodging width. Dodging preserves the vertical position
of an geom while adjusting the horizontal position.}

\item{\dots}{Further arguments to be passed to generic methods
See \code{\link[ggplot2]{position_dodge}} for further details.}
}
\value{
an object of class \code{ggplot},
see function \code{\link[ggplot2]{ggplot}}
}
\description{
The coordinates of black points are the observed values of the number of survivors
(pooled replicates) for a given concentration (\eqn{X}-axis) and the corresponding
predicted values (\eqn{Y}-axis). 95\\% prediction intervals are added to each predicted
value, colored in green if this interval contains the observed value and in red
otherwise.
The bisecting line (y = x) is added to the plot in order to see if each
prediction interval contains each observed value. As replicates are shifted
on the x-axis, this line is represented by steps.
}
